net.sf.jasperreports.renderers

## Class JFreeChartRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRAbstractSvgRenderer
    - - net.sf.jasperreports.renderers.JFreeChartRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable

  Deprecated.

      public class JFreeChartRenderer
      extends JRAbstractSvgRenderer

  Renderer used by JasperReports charts.
  Version:
    $Id: JFreeChartRenderer.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JFreeChartRenderer(org.jfree.chart.JFreeChart chart)` Deprecated. Create a chart renderer.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jfree.chart.JFreeChart` | `getChart()` Deprecated. Return the chart this renderer uses.
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated.

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractSvgRenderer

      `createGraphics, getBackcolor, getDimension, getDimension, getImageData, getImageData, getImageDataDPI, getImageType, getImageTypeValue, getType, getTypeValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId, render`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JFreeChartRenderer

          public JFreeChartRenderer(org.jfree.chart.JFreeChart chart)

      Deprecated.
      Create a chart renderer.
      Parameters:
        `chart` - the chart

  - ### Method Detail

    - #### render

          public void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)

      Deprecated.

    - #### getChart

          public org.jfree.chart.JFreeChart getChart()

      Deprecated.
      Return the chart this renderer uses.
      Returns:
        the chart this renderer uses.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com